<layout xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="android.view.View" />

        <variable
            name="accettazioneView"
            type="it.integry.integrywmsnative.gest.accettazione_picking.AccettazionePickingActivity" />

    </data>

    <androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:fab="http://schemas.android.com/apk/res-auto"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="top"
        android:background="@color/full_white"
        android:fitsSystemWindows="false">


        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:layout_behavior="@string/appbar_scrolling_view_behavior">

            <!-- Main Content -->
            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <androidx.coordinatorlayout.widget.CoordinatorLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">

                    <com.google.android.material.appbar.AppBarLayout
                        android:id="@+id/appbar"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@color/full_white"
                        android:minHeight="?attr/actionBarSize">

                        <androidx.appcompat.widget.Toolbar
                            android:id="@+id/toolbar"
                            android:layout_width="match_parent"
                            android:layout_height="?attr/actionBarSize"
                            app:layout_collapseMode="pin"
                            style="@style/AppTheme.NewMaterial.Text" />

                    </com.google.android.material.appbar.AppBarLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical"
                        app:layout_behavior="@string/appbar_scrolling_view_behavior">

                        <net.cachapa.expandablelayout.ExpandableLayout
                            android:id="@+id/filtered_arts_in_list_expandable_layout"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            app:el_duration="400"
                            app:el_expanded="false">

                            <RelativeLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:paddingLeft="8dp"
                                android:paddingTop="12dp"
                                android:paddingRight="8dp"
                                android:paddingBottom="12dp">

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_alignParentStart="true"
                                    android:layout_toStartOf="@+id/remove_art_filter_list"
                                    android:orientation="vertical">

                                    <androidx.appcompat.widget.AppCompatTextView
                                        style="@style/AppTheme.NewMaterial.Text.Small"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/filtered_arts_in_list" />

                                    <androidx.appcompat.widget.AppCompatTextView
                                        android:id="@+id/description_filter_text"
                                        style="@style/AppTheme.NewMaterial.Text.Small"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:ellipsize="end"
                                        android:maxLines="1"
                                        android:textColor="@android:color/black"
                                        android:textSize="16sp"
                                        android:textStyle="bold"
                                        tools:text="COD_ART_HERE" />

                                </LinearLayout>

                                <com.google.android.material.button.MaterialButton
                                    android:id="@+id/remove_art_filter_list"
                                    style="@style/Button.DangerOutline"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_alignParentEnd="true"
                                    android:onClick="@{() -> accettazioneView.removeListFilter()}"
                                    android:text="@string/remove_filter_button"
                                    app:strokeColor="@color/red_600" />

                            </RelativeLayout>

                        </net.cachapa.expandablelayout.ExpandableLayout>


                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/accettazione_picking_list"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:clipToPadding="false"
                            android:paddingBottom="72dp"
                            android:scrollbars="vertical" />

                    </LinearLayout>

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/accettazione_empty_view"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:alpha="0.3"
                        app:visibility="@{accettazioneView.noItemsToPick}">

                        <androidx.constraintlayout.widget.Guideline
                            android:id="@+id/guideline_empty_top"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal"
                            app:layout_constraintGuide_percent="0.2" />

                        <androidx.constraintlayout.widget.Guideline
                            android:id="@+id/guideline_empty_left"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="vertical"
                            app:layout_constraintGuide_percent="0.15" />

                        <androidx.constraintlayout.widget.Guideline
                            android:id="@+id/guideline_empty_right"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="vertical"
                            app:layout_constraintGuide_percent="0.85" />

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:gravity="center_horizontal"
                            android:orientation="vertical"
                            app:layout_constraintEnd_toStartOf="@id/guideline_empty_right"
                            app:layout_constraintStart_toEndOf="@id/guideline_empty_left"
                            app:layout_constraintTop_toTopOf="@id/guideline_empty_top">

                            <androidx.appcompat.widget.AppCompatImageView
                                android:layout_width="72dp"
                                android:layout_height="wrap_content"
                                android:adjustViewBounds="true"
                                android:src="@drawable/ic_playlist_add_check_24dp" />

                            <androidx.appcompat.widget.AppCompatTextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:gravity="center_horizontal"
                                android:text="@string/no_item_to_pick_text"
                                android:textColor="@android:color/black"
                                android:textSize="18sp" />
                        </LinearLayout>

                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <com.github.clans.fab.FloatingActionMenu
                        android:id="@+id/accettazione_ordine_inevaso_fab"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_alignParentBottom="true"
                        app:visibility="@{accettazioneView.noLUPresent}"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        fab:menu_animationDelayPerItem="50"
                        fab:menu_backgroundColor="@color/white_bg_alpha"
                        fab:menu_buttonSpacing="0dp"
                        fab:menu_colorNormal="@color/colorSecondary"
                        fab:menu_colorPressed="@color/colorSecondaryDark"
                        fab:menu_fab_size="normal"
                        fab:menu_labels_colorNormal="@color/white"
                        fab:menu_labels_colorPressed="@color/white_pressed"
                        fab:menu_labels_colorRipple="#66FFFFFF"
                        fab:menu_labels_cornerRadius="3dp"
                        fab:menu_labels_hideAnimation="@anim/fab_slide_out_to_right"
                        fab:menu_labels_margin="0dp"
                        fab:menu_labels_padding="8dp"
                        fab:menu_labels_paddingBottom="4dp"
                        fab:menu_labels_paddingLeft="8dp"
                        fab:menu_labels_paddingRight="8dp"
                        fab:menu_labels_paddingTop="4dp"
                        fab:menu_labels_position="left"
                        fab:menu_labels_showAnimation="@anim/fab_slide_in_from_right"
                        fab:menu_labels_showShadow="true"
                        fab:menu_labels_textColor="@color/black_semi_transparent"
                        fab:menu_labels_textSize="18sp"
                        fab:menu_openDirection="up"
                        fab:menu_shadowColor="#66000000"
                        fab:menu_shadowRadius="4dp"
                        fab:menu_shadowXOffset="1dp"
                        fab:menu_shadowYOffset="3dp"
                        fab:menu_showShadow="true">

                        <com.github.clans.fab.FloatingActionButton
                            android:id="@+id/accettazione_ordine_inevaso_fab_item1"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/ic_box"
                            app:fab_colorNormal="@color/white"
                            app:fab_colorPressed="@color/white_pressed"
                            app:fab_colorRipple="#66FFFFFF"
                            app:onClick="@{() -> accettazioneView.showCreatedUL()}"
                            fab:fab_label="@string/action_show_created_ul" />

                        <com.github.clans.fab.FloatingActionButton
                            android:id="@+id/accettazione_ordine_inevaso_fab_item2"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/ic_add_24dp"
                            app:fab_colorNormal="@color/white"
                            app:fab_colorPressed="@color/white_pressed"
                            app:fab_colorRipple="#66FFFFFF"
                            app:onClick="@{() -> accettazioneView.createNewLU()}"
                            fab:fab_label="@string/action_create_ul" />

                    </com.github.clans.fab.FloatingActionMenu>

                </androidx.coordinatorlayout.widget.CoordinatorLayout>

            </RelativeLayout>
        </androidx.constraintlayout.widget.ConstraintLayout>


        <it.integry.integrywmsnative.view.bottom_sheet__lu_content.BottomSheetFragmentLUContentView
            android:id="@+id/bottom_sheet_lu_content"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:behavior_hideable="false"
            app:behavior_peekHeight="66dp"
            app:layout_behavior="com.google.android.material.bottomsheet.BottomSheetBehavior"
            app:visibility="@{accettazioneView.bottomSheetEnabled}" />

    </androidx.coordinatorlayout.widget.CoordinatorLayout>

</layout>